FilesReader
Date: 2019-10-22

org.jmol.io

## Class FilesReader

- java.lang.Object
- - org.jmol.io.FilesReader

- All Implemented Interfaces:
    java.lang.Runnable, JmolFilesReaderInterface

      public class FilesReader
      extends java.lang.Object
      implements JmolFilesReaderInterface

  open a set of models residing in different files

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `atomSetCollection`
    `private javajs.util.DataReader[]` | `dataReaders`
    `private java.lang.String[]` | `fileTypesIn`
    `private FileManager` | `fm`
    `private java.lang.String[]` | `fullPathNamesIn`
    `private java.util.Map<java.lang.String,java.lang.Object>` | `htParams`
    `private boolean` | `isAppend`
    `private java.lang.String[]` | `namesAsGivenIn`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilesReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAtomSetCollection()`
    `java.lang.Object` | `getBufferedReaderOrBinaryDocument(int i, boolean forceBinary)` called by SmartJmolAdapter to request another buffered reader or binary document, rather than opening all the readers at once.
    `void` | `run()`
    `void` | `set(FileManager fileManager, Viewer vwr, java.lang.String[] name, java.lang.String[] nameAsGiven, java.lang.String[] types, javajs.util.DataReader[] readers, java.util.Map<java.lang.String,java.lang.Object> htParams, boolean isAppend)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fm

          private FileManager fm

    - #### vwr

          private Viewer vwr

    - #### fullPathNamesIn

          private java.lang.String[] fullPathNamesIn

    - #### namesAsGivenIn

          private java.lang.String[] namesAsGivenIn

    - #### fileTypesIn

          private java.lang.String[] fileTypesIn

    - #### atomSetCollection

          private java.lang.Object atomSetCollection

    - #### dataReaders

          private javajs.util.DataReader[] dataReaders

    - #### htParams

          private java.util.Map<java.lang.String,java.lang.Object> htParams

    - #### isAppend

          private boolean isAppend

  - ### Constructor Detail

    - #### FilesReader

          public FilesReader()

  - ### Method Detail

    - #### set

          public void set(FileManager fileManager,
                          Viewer vwr,
                          java.lang.String[] name,
                          java.lang.String[] nameAsGiven,
                          java.lang.String[] types,
                          javajs.util.DataReader[] readers,
                          java.util.Map<java.lang.String,java.lang.Object> htParams,
                          boolean isAppend)

      Specified by:
        `set` in interface `JmolFilesReaderInterface`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getBufferedReaderOrBinaryDocument

          public java.lang.Object getBufferedReaderOrBinaryDocument(int i,
                                                                    boolean forceBinary)

      called by SmartJmolAdapter to request another buffered reader or binary document, rather than opening all the readers at once.
      Specified by:
        `getBufferedReaderOrBinaryDocument` in interface `JmolFilesReaderInterface`
      Parameters:
        `i` - the reader index
        `forceBinary` -
      Returns:
        a BufferedReader or null in the case of an error

    - #### getAtomSetCollection

          public java.lang.Object getAtomSetCollection()

      Specified by:
        `getAtomSetCollection` in interface `JmolFilesReaderInterface`